
<div class="ins-payment-wrap">
    <div class="ins-payment-wrap-inner ins-payment-left">
        <?php do_action( 'woocommerce_checkout_before_order_review_heading' ); ?>
        <?php do_action( 'woocommerce_checkout_before_order_review' ); ?>
        <div class="ins-cart-content-wrap">
            <div class="ins-cart-summery">
                    <div class="ins-order-summery-head"> 
                        <h3><?php esc_html_e( 'Order Summery', 'woocommerce' ); ?> </h3>
                        <a href="#" class="ins-back-to-edit" data-step-prev= "step-1"  data-step-content = "step-1" > 
                            <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M2.16667 13.8334H3.345L11.1067 6.07174L9.92833 4.8934L2.16667 12.6551V13.8334ZM15.5 15.5001H0.5V11.9642L11.6958 0.768403C11.8521 0.612177 12.064 0.524414 12.285 0.524414C12.506 0.524414 12.7179 0.612177 12.8742 0.768403L15.2317 3.1259C15.3879 3.28218 15.4757 3.4941 15.4757 3.71507C15.4757 3.93604 15.3879 4.14796 15.2317 4.30424L5.7025 13.8334H15.5V15.5001ZM11.1067 3.71507L12.285 4.8934L13.4633 3.71507L12.285 2.53674L11.1067 3.71507Z" fill="#4D423D"/>
                            </svg>
                        </a>
                    </div>
                    <div class="ins-order-summery-wrap ins-review-order-table shop_table ">
                    <?php // hoooks : ins_payment_order_summery ?>
                    </div> 
                    <div class="ins-order-summery-subtotal">
                    <?php // hoooks : ins_payment_order_cart_total ?>
                    </div>
                </div>
        </div>
        <div class="ins-cart-content-wrap ins-card-cross-sell"> 
            <?php echo apply_filters( 'ins_show_items_cross_sell', ''); ?> 
        </div>  
        
    </div>
    
    <div class="ins-payment-wrap-inner ins-payment-center">
        <div class="ins-cart-content-wrap">
            <div class="ins-delivery-wrap ins-contact-wrap">
                <?php // hoooks : ins_payment_order_summary_contact ?>
                <div class="ins-order-summery-head"> 
                    
                    <h3><?php echo esc_html_e( 'Contact', 'woocommerce' ) ?> </h3>
                    <a href="#" class="ins-back-to-edit" data-step-prev= "step-1"   data-step-content = "shipping"> 
                        <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M2.16667 13.8334H3.345L11.1067 6.07174L9.92833 4.8934L2.16667 12.6551V13.8334ZM15.5 15.5001H0.5V11.9642L11.6958 0.768403C11.8521 0.612177 12.064 0.524414 12.285 0.524414C12.506 0.524414 12.7179 0.612177 12.8742 0.768403L15.2317 3.1259C15.3879 3.28218 15.4757 3.4941 15.4757 3.71507C15.4757 3.93604 15.3879 4.14796 15.2317 4.30424L5.7025 13.8334H15.5V15.5001ZM11.1067 3.71507L12.285 4.8934L13.4633 3.71507L12.285 2.53674L11.1067 3.71507Z" fill="#4D423D"/>
                        </svg>
                    </a>
                </div>
            </div> 
            <div class="ins-delivery-wrap ins-shipping-wrap">
                <?php // hoooks : ins_payment_order_shiiping_address ?>
                <div class="ins-order-summery-head"> 
                    <h3><?php echo esc_html_e( 'Shipping address', 'woocommerce' ) ?> </h3>
                    <a href="#" class="ins-back-to-edit" data-step-prev= "step-1"   data-step-content = "shipping" > 
                        <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M2.16667 13.8334H3.345L11.1067 6.07174L9.92833 4.8934L2.16667 12.6551V13.8334ZM15.5 15.5001H0.5V11.9642L11.6958 0.768403C11.8521 0.612177 12.064 0.524414 12.285 0.524414C12.506 0.524414 12.7179 0.612177 12.8742 0.768403L15.2317 3.1259C15.3879 3.28218 15.4757 3.4941 15.4757 3.71507C15.4757 3.93604 15.3879 4.14796 15.2317 4.30424L5.7025 13.8334H15.5V15.5001ZM11.1067 3.71507L12.285 4.8934L13.4633 3.71507L12.285 2.53674L11.1067 3.71507Z" fill="#4D423D"/>
                        </svg>
                    </a>
                </div>
            </div>
        </div>
        
        <?php if ( WC()->cart->needs_shipping() && WC()->cart->show_shipping() ) :      
        ?> 
        <div class="ins-cart-content-wrap">
            <div class="ins-delivery-wrap shipping">  
                <?php // hoooks : ins_payment_order_shiiping_methoods ?>
            </div> 
        </div>
        <?php endif; ?>  
    </div>

    <div class="ins-payment-wrap-inner ins-payment-right">
        <div class="ins-cart-content-wrap">
            <div class="ins-cart-summery"> 
                <!-- Ins Payment Methood Load -->
                <?PHP
                    if ( ! wp_doing_ajax() ) {
                        do_action( 'woocommerce_review_order_before_payment' );
                    }
                ?>
                <div class="ins-payment"> 
                    <h3><?php esc_html_e( 'Payment Method', 'woocommerce' ); ?> </h3> 
                    <!-- <div class="woocommerce-checkout-review-order"></div> -->
                    <div id="payment" class="woocommerce-checkout-payment">
                        <?php 
                            $gateways = new WC_Payment_Gateways();
                            $available_gateways = $gateways->get_available_payment_gateways(); 

                            if( !empty( $available_gateways ) ) : 
                        ?>
                        <ul class="ins-payment-method">
                        <?php 
                            
                                foreach ( $available_gateways as $gateway ) {
                                    wc_get_template( 'checkout/payment-method.php', array( 'gateway' => $gateway ) );
                                }
                            // foreach ( $available_gateways as $key => $gateway ):     
                        ?>
                        </ul>
                        <?php 
                            else:
                                echo '<li class="woocommerce-notice woocommerce-notice--info woocommerce-info">' . apply_filters( 'woocommerce_no_available_payment_methods_message', WC()->customer->get_billing_country() ? esc_html__( 'Sorry, it seems that there are no available payment methods for your state. Please contact us if you require assistance or wish to make alternate arrangements.', 'woocommerce' ) : esc_html__( 'Please fill in your details above to see available payment methods.', 'woocommerce' ) ) . '</li>'; 
                            endif;  
                        ?>
                    </div> 
                    <div class="form-row place-order">
                        <noscript>
                            <?php
                            /* translators: $1 and $2 opening and closing emphasis tags respectively */
                            printf( esc_html__( 'Since your browser does not support JavaScript, or it is disabled, please ensure you click the %1$sUpdate Totals%2$s button before placing your order. You may be charged more than the amount stated above if you fail to do so.', 'woocommerce' ), '<em>', '</em>' );
                            ?>
                            <br/><button type="submit" class="button alt<?php echo esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ); ?>" name="woocommerce_checkout_update_totals" value="<?php esc_attr_e( 'Update totals', 'woocommerce' ); ?>"><?php esc_html_e( 'Update totals', 'woocommerce' ); ?></button>
                        </noscript> 
                        <?php wp_nonce_field( 'woocommerce-process_checkout', 'woocommerce-process-checkout-nonce' ); ?>
                    </div>
                </div>
                <!-- Ins Payment Methood Load -->
            </div>

            <?php do_action( 'woocommerce_checkout_after_order_review' ); ?>
            <div class="Ins-terms">
                    <?php wc_get_template( 'checkout/terms.php' ); ?> 
            </div>

            <?php do_action( 'woocommerce_review_order_before_submit' ); ?>
            <div class="ins-cart-btns">  
                <?php echo apply_filters( 'woocommerce_order_button_html', '<button type="submit" class="button alt' . esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ) . '" name="woocommerce_checkout_place_order" id="place_order" value="' . esc_attr( 'Place Order' ) . '" data-value="' . esc_attr( 'Place Order' ) . '">' . esc_html( 'Place Order' ) . '</button>' ); // @codingStandardsIgnoreLine ?>
                <!-- <a href="#" id="ins-place-order" data-step-prev= "shipping active"  data-step-content = "payment" class="shipping"><?php esc_html_e( 'Pay', 'instantio' ); ?> <?php wc_cart_totals_order_total_html(); ?> </a>  -->
            </div> 
            <?php 
                if ( ! wp_doing_ajax() ) {
                    do_action( 'woocommerce_review_order_after_payment' );
                }  
                do_action( 'woocommerce_review_order_after_submit' );  
            ?> 
        </div>
        
    </div>
 

</div> 


