
<?php
/**
 * Checkout Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-checkout.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.0
 */

    if ( ! defined( 'ABSPATH' ) ) {
        exit;
    }

    $checkout = WC()->checkout();

?>

    <?php do_action( 'ins_login_form'); ?>

    <form name="checkout" method="post" class="checkout ins-checkout woocommerce-checkout" action="<?php echo esc_url( wc_get_checkout_url() ); ?>" enctype="multipart/form-data">
    <?php   require_once INS_PRO_TEMPLATES_PATH . '/content/single/ins-shipping-billing.php'; ?> 
    
        <div class="ins-cart-inner payment">
            <?php 
                //  ins template steps payment
                $ins_layout = !empty(insopt( 'ins-layout-options' )) ? insopt( 'ins-layout-options' ) : '1';
                if($ins_layout == 3){
                    require_once INS_PRO_TEMPLATES_PATH . '/content/single/ins-payment-popup.php';
                }else{
                    require_once INS_PRO_TEMPLATES_PATH . '/content/single/ins-payment.php';
                }
            ?>
        </div>
    
    </form> 


